2021-03-12 Allen v1r2
===

This version uses
Rec [v32r0](../../../../Rec/-/tags/v32r0),
Lbcom [v32r0](../../../../Lbcom/-/tags/v32r0),
LHCb [v52r0](../../../../LHCb/-/tags/v52r0),
Gaudi [v35r2](../../../../Gaudi/-/tags/v35r2) and
LCG [97a](http://lcginfo.cern.ch/release/97a/) with ROOT 6.20.06.

This version is released on `master` branch.
Built relative to Allen [v1r1](/../../tags/v1r1), with the following changes:

### New features ~"new feature"

- ~selections ~Configuration ~"Event model" | Reworked selections, !393 (@dcampora) [PCIE-32]
- ~"MC checking" | MC data and validation in sequence, enable multiple sequence validation, !522 (@dcampora) [#210]
- ~Core | Added `pinned_vector` as a std::vector with a pinned allocator, !511 (@dcampora)
- ~Build | Add HIP tests to CI, !536 (@dcampora)
- ~Build | Add HIP compilation to CI, !478 (@dcampora)
- ~Build | Add contract-based testing infrastructure, !464 (@dcampora)
- Backend improvements, !451 (@dcampora)


### Fixes ~"bug fix" ~workaround

- ~Tracking | Add missing scifi states to hostbuffer, !476 (@maxime)
- ~Tracking ~UT | Fix UT plane population, !456 (@dcampora)
- ~Composites | Fix vertex fitter unsafe write, !455 (@dcampora)
- ~Persistency | Fix bad iterator dereference (#218), !518 (@raaij) [#218,(#218]
- ~Persistency | Fix clang10 warnings leftover from !441, !482 (@raaij)
- ~Persistency ~Monitoring | Reduce memory consumption, !499 (@raaij) [#158]
- ~Persistency ~integration | Fix TESProvider offsets, !523 (@raaij)
- ~Core | Fix segfault on passing unknown long option (#226), !519 (@raaij) [#226,(#226]
- ~Core | Fix monitoring segfault when running a non-default sequence, !500 (@raaij) [#207]
- ~Core | Don't free host memory within a sequence of algorithms, !458 (@dovombru)
- ~Conditions | Fix move operations in geometry consumers, !459 (@dcampora)
- ~Build | Fix unit test discovery, !540 (@raaij) [#230]
- ~Build | Fix run changes test, !537 (@dovombru) [#208]
- ~Build | Work around wrong clang 8 warning, !530 (@rmatev)
- ~Build | Re-apply changes of MR445: Fix `INSTALL_DIR` path, !529 (@dovombru) [#167]
- ~Build | Converted missing $8 into $NF in CI., !487 (@dcampora)
- ~Build | Fix folder location of data for run changes jobs, !483 (@dcampora)
- ~Build | Make `ALLEN_INSTALL_DIR` relative to the installation root, !445 (@clemenci) [#167]
- ~integration | Update python entry point for Allen, !526 (@raaij)
- Fix bug in dimuon soft whereby a parameter was not correctly used., !454 (@dcampora)
- Fix off-by-one error in Line.cuh, !453 (@dcampora)


### Enhancements ~enhancement

- ~Tracking | Momentum resolution study lingzhu, !442 (@lbian) [#126]
- ~Tracking ~VP | Refactor states, add endvelo and beamline Kalman states, !410 (@maxime) [#147]
- ~"PV finding" | Use PVs from cleanup step in subsequent algorithms, !474 (@freiss) [#165,\#165]
- ~"PV finding" ~Build | SMOG2 PV reconstruction, !460 (@samarian)
- ~Core | Simplify implementation of GetSequenceConfiguration and ConfigureAlgorithmSequence, !494 (@graven)
- ~Core ~integration | Add option to write TCK to HltDecReports and fill passed_event_list, !473 (@raaij)
- ~Build | Use by default gcc-10 in CI, !535 (@dcampora) [SPI-1826]
- ~Build | Added A40 tests to CI, !534 (@dcampora)
- ~Build | Find libClang properly, !531 (@dcampora)
- ~Build | Make Allen compatible with Apple Silicon, !515 (@dcampora)
- ~Build | Publish relative speedup with every message in mattermost, !506 (@dcampora) [PCIE-32]
- ~Build | Allen CI: Run by default all jobs in master, web, schedules, !505 (@dcampora)
- ~Build | Profile in gitlab-ci only using trace=cuda, !503 (@dcampora)
- ~Build | Unified pipeline of checks with rest of pipelines, !501 (@dcampora)
- ~Build | Add Apache-2.0 license file., !497 (@dcampora)
- ~Build | Fetch NUMA node with NF in awk., !486 (@dcampora)
- ~Build | Added dataset information to CI jobs., !480 (@dcampora)
- ~Build | Better template ci jobs, !479 (@dcampora)
- ~Build | Append property `JOB_POOLS` instead of overwriting it., !477 (@dcampora)
- ~Build | Improve Allen test infrastructure, !475 (@dcampora)
- ~Build | Improve ninja compilation times, !472 (@dcampora)
- ~Build | Run extended ci with web, !471 (@dcampora)
- ~Build | Improve stability of Allen CI, !469 (@dcampora)
- ~Build | Retry WarningAsErrors builds twice due to recurrent out-of-memory problems on the building machine, !466 (@acasaisv)
- ~Build | Added tests for RTX 30 series., !449 (@dcampora)
- ~Build | Fix the readme and message when git submodule has not been done., !448 (@dcampora)
- ~Build | Added docker compose file and updated base docker image to cuda:11.1-devel-centos7, !447 (@mbelous)
- ~Build | Removed submodule update from build., !446 (@dcampora)
- ~Build | Use version of check copyright script suitable for Allen, !439 (@raaij)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | Put correct contract in sbt number of hits, !517 (@dcampora)
- ~"PV finding" | Update `physics_efficiency` test reference (follow up !460), !488 (@samarian)
- ~Persistency | Modernize `for_each` in BinaryDumpers, !507 (@graven)
- ~Persistency ~integration | MDF code updated to prepare for license update, !441 (@raaij)
- ~"MC checking" | Simplify Sch::RunChecker implementation, !509 (@graven)
- ~Core | Avoid recursive templates, !513 (@graven) [#206]
- ~Core | Simplify MemoryManager.cuh, !498 (@graven)
- ~Core | First proof-of-principle step towards type-erased sequencer, !495 (@graven) [#206]
- ~Build | SciFi v6 tests, !512 (@roneil) [#128]
- ~Build | Updated copyright script to Apache-2.0., !496 (@dcampora)
- ~integration | Add example algorithm and test to test decoding in Allen, !438 (@raaij)
- Updated dimuon soft rate., !465 (@dcampora)


### Documentation ~Documentation

- Doc changes in selections.md to fix the example line, !502 (@rilane)
- Update selections.md, !461 (@maxime)
- Update selections.md, !452 (@maxime)
- [readme] update commands to build Allen from nightlies, !450 (@mstahl)
