2021-07-07 Allen v1r4
===

This version uses
Rec [v33r0](../../../../Rec/-/tags/v33r0),
Lbcom [v33r0](../../../../Lbcom/-/tags/v33r0),
LHCb [v53r0](../../../../LHCb/-/tags/v53r0),
Gaudi [v36r0](../../../../Gaudi/-/tags/v36r0) and
LCG [100](http://lcginfo.cern.ch/release/100/) with ROOT 6.24.00.

This version is released on `master` branch.
Built relative to Allen [v1r3](/../../tags/v1r3), with the following changes:

### New features ~"new feature"

- ~Core ~Build | Multi-event scheduler, !429 (@dcampora)


### Fixes ~"bug fix" ~workaround

- ~Persistency | Refactor: replace structured bindings with old style std::get<> to avoid clang 11 crash, !584 (@chasse)
- ~Build | Add explicit dependencies to data packages (follow LHCb!3127), !604 (@rmatev)
- ~Build | Make compatible with git 1.8.3.1, !592 (@thboettc)
- ~Build | Fix throughput comparison (working pipeline); always start "run full" stage even if some builds fail; update CI README; no branch pipelines, !573 (@roneil)


### Enhancements ~enhancement

- ~Tracking | Remove the UT hard limit on number of hits per module., !598 (@dcampora) [PCIE-32]
- ~Tracking | Use endvelo states in compassUT, !514 (@ascarabo)
- ~Composites | Added cos(DIRA) to two-track vertex variables, !571 (@lpica)
- ~Build | Added NVIDIA A10 to tests, !597 (@dcampora)
- ~Build | Define aggregates as std::vectors, !560 (@dcampora)
- AMD improvements, !574 (@dcampora)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~FT | Follow changes in LHCb!3102, !591 (@graven)
- ~"Event model" | Adapt to LHCb!3069 and LHCb!3059, !577 (@graven)
- ~Persistency | Remove unused variable, !594 (@rmatev)
- ~Persistency | Update copy of RawBank.h, !586 (@graven)
- ~Build | Add missing link to MCEvent, !590 (@clemenci)
- Adapt to drop of StatusCode check via StatusCodeSvc, !580 (@clemenci)


### Documentation ~Documentation

- Update Rec/Allen readme, !596 (@dovombru)
- Update hyperlink in the main readme to point to the correct checker/plotting readme, !589 (@rilane)
