2021-12-02 Allen v1r8
===

This version uses
Rec [v33r4](../../../../Rec/-/tags/v33r4),
Lbcom [v33r5](../../../../Lbcom/-/tags/v33r5),
LHCb [v53r5](../../../../LHCb/-/tags/v53r5),
Gaudi [v36r2](../../../../Gaudi/-/tags/v36r2) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to Allen [v1r7](/../../tags/v1r7), with the following changes:

### New features ~"new feature"

- ~Configuration ~Core ~Build | Type-Erased Allen, !685 (@dcampora)
- ~UT ~"Event model" | Add views to the UT event model, !672 (@thboettc)
- ~RICH | RICH 1 alignment line, !687 (@rilane)
- Ks-Line, !551 (@lpica)


### Fixes ~"bug fix" ~workaround

- ~Persistency ~integration | Cleaning up Allen -> Moore DecReport and SelReport transfer, !692 (@spradlin)
- Fix argument size setting in RICH1Line, !719 (@raaij)
- Make hit efficiency and hit purity counters more accurate, !710 (@dcampora)
- Fix ODIN v6 by converting from v6 to v7 when needed., !700 (@raaij) [#280]


### Enhancements ~enhancement

- ~Build | Re-add gcc11 build to gitlab CI, !716 (@roneil)
- ~Build | Adjust CI configuration to build all sequences, rather than one sequence / job, !696 (@roneil)
- ~Build | Fix for commit messages with multiple lines, !694 (@dovombru)
- ~Build | Check for warnings during CUDA builds in CI, !669 (@roneil)
- ~Build | CI: Add a throughput job with contracts enabled, !663 (@roneil)
- Apply GEC in HLT1RICH1Alignment line, !721 (@dovombru)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Decoding ~FT | SciFi v4 decoding to v6 logic, !645 (@msaur)
- ~"Event model" | Adapt to track enum changes, !699 (@gunther)
- ~Build | Remove cards from n4050901 momentarily while server is reinstalled., !714 (@dcampora)
- ~Build | Move to CUDA 11.4, !712 (@dcampora)
- ~Build | Attempt to remove a10 and a40 to fix the allen pipeline., !709 (@sponce)
- Follow up !687 (fix warning), !718 (@rmatev)
- Update complex sequence references, !711 (@thboettc) [#283,#284]
- Use std::deque instead of std::vector for counters, !707 (@clemenci)
- Use Gaudi::Units::MeV in Properties, !703 (@gunther)
- Adapted to changes in Calo code due to DD4hep integration, !684 (@sponce)
- Mandatory --sequence option, !671 (@lpica)


### Documentation ~Documentation

- Update readme.md - fix how to obtain JSON file with configurable parameters, !706 (@rangel)
