2022-03-30 Allen v2r0
===

This version uses
Rec [v34r1](../../../../Rec/-/tags/v34r1),
Lbcom [v33r7](../../../../Lbcom/-/tags/v33r7),
LHCb [v53r7](../../../../LHCb/-/tags/v53r7),
Gaudi [v36r4](../../../../Gaudi/-/tags/v36r4),
Detector [v1r0](../../../../Detector/-/tags/v1r0) and
LCG [101](http://lcginfo.cern.ch/release/101/) with ROOT 6.24.06.

This version is released on `master` branch.
Built relative to Allen [v1r9](/../../tags/v1r9), with the following changes:

### New features ~"new feature"

- ~UT ~Conditions | Adapted to changes in UT for DD4hep integration, !757 (@sponce)
- ~Muon | Muon integration into DD4hep, !724 (@sponce)
- HLT1 KS0KS0 line, !725 (@lpica)
- Generate automatically StructToTuple.cuh as part of build, !621 (@dcampora)


### Fixes ~"bug fix" ~workaround

- ~Calo | Fix error in AllenCaloToCaloClusters due to calo cluster with duplicated neighbors, !777 (@lmeyerga)
- ~Build | Follow up !621, !790 (@rmatev)
- Fix Retina decoding contract, !804 (@dcampora)
- Debug and fix throughput ref fetcher, !798 (@roneil) [#303]
- Fix span size setting of SelReports and DecReports in HostBuffers, !792 (@dovombru)
- Fix bug in SV covariance calculation, !747 (@thboettc)
- CI - Retrieve throughput reference even from failed pipelines using GitLab API, !762 (@roneil)
- ALWAYS upload throughput reference artifacts, !759 (@roneil)


### Enhancements ~enhancement

- ~selections | D0->hh exclusive lines updating selections, !741 (@nkleijne)
- ~"Event model" | Overhaul of physics event model, !690 (@thboettc)
- ~Persistency | Throw an exception if required RawBank is not present, !803 (@gbassi)
- ~Build | Fixes to enable a super project build, !771 (@rmatev)
- Better JSON parsing, simpler new type support, !799 (@dcampora)
- Transitive lifetime dependencies, !749 (@dcampora)
- Vectorized prefix sum, !760 (@dcampora)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Build | Add missing link libraries, !817 (@rmatev)
- ~Build | Do not find llvm-config for non-standalone builds, !816 (@rmatev)
- ~Build | Use LCG Catch2, !490 (@dcampora)
- ~Build | Search for and link to libsodium in standalone build, !770 (@raaij)
- Remove everything related to Hlt1TwoTrackCatboost, !801 (@raaij)
- Allen test fixes (follow up !655), !795 (@gbassi)


### Documentation ~Documentation

- Update documentation with retina clusters, !800 (@gbassi)
- Re-enable documentation, !793 (@dovombru)
- Documentation fix, !786 (@gbassi)
- Sphinx documentation, !670 (@dovombru) [#228]
- Update readme.md, !769 (@jbaptist)
- Add a template for reporting crashes in Allen, !737 (@gligorov)

### Other

- ~Decoding | Unified SciFi decoding, !755 (@dcampora)
- ~Tracking | Full parametrised scattering in the ParKalmanVeloOnly., !735 (@valukash)
- ~VP | RetinaClusters decoding, !655 (@gbassi) [#286]
- ~Build | Fix sequence generation warnings introduced with Allen!725, !779 (@raaij)
- ~Build | FEST, HLT1 PRR and beam test, !650 (@raaij)
- Remove warnings in CUDA 11.6 and clang 13., !810 (@dcampora)
- Fix for HostPrefixSum, !808 (@gbassi)
- Mass definitions header, !802 (@dovombru) [#274]
- Fix a bug in two ks line, !783 (@dcampora)
- Remove TwoTrackCatBoost from default sequence, !756 (@raaij)
- Use only SSE2 on prefix sum, !789 (@dcampora)
- Reduce the amount of memory requested in each HIP stream., !788 (@dcampora)
- Proper message when incorrect configuration of properties is found, !782 (@dcampora)
- Update References for: Allen!777, Moore!1270 based on lhcb-master-mr/3798, !781 (@rmatev)
- Don't call ROOT::EnableImplicitMT() in ROOTService, !775 (@dovombru)
- Add symlink for AllenKernel in stack build, !773 (@dovombru)
- Optimisation of some HLT1 algorithms, !764 (@ahennequ)
- More robust validation, !768 (@dcampora)
- Solve warning in HLT1 line_maker by which enableGEC was being shadowed., !763 (@dcampora)
- Remove obsolete check, !761 (@maxime)
- Changes to CI to fix #261, !758 (@samarian) [#261]
- Solve warnings and add compatibility with clang 13, !752 (@dcampora)
- Put the ECAL decoding and electron trigger lines back in the default sequence, !745 (@maxime)
