2023-09-26 Allen v3r20
===

This version uses
Rec [v35r19](../../../../Rec/-/tags/v35r19),
Lbcom [v34r18](../../../../Lbcom/-/tags/v34r18),
LHCb [v54r18](../../../../LHCb/-/tags/v54r18),
Detector [v1r21](../../../../Detector/-/tags/v1r21),
Gaudi [v36r16](../../../../Gaudi/-/tags/v36r16) and
LCG [103](http://lcginfo.cern.ch/release/103/) with ROOT 6.28.00.

This version is released on the `master` branch.
Built relative to Allen [v3r19](/../../tags/v3r19), with the following changes:

### New features ~"new feature"

- Add sequences for 2023 PbPb data taking, !1237 (@baudurie)


### Fixes ~"bug fix" ~workaround

- ~Decoding ~FT | Add possibility to decode v8 as v7 in the SciFi, !1288 (@lohenry)
- ~Tracking ~VP | Increase velo track container size, !1330 (@dcampora)
- ~Monitoring | Use atomicAdd operations for filling Allen histograms, !1333 (@cagapopo)
- ~Luminosity | Fix bugs in optimisation of lumi schema generation, !1334 (@dcraik)
- Fix HLT1 LumiSummary encoding key, !1341 (@cagapopo)


### Enhancements ~enhancement

- ~"PV finding" ~Conditions | Use the new InteractionRegion information to obtain the beamline information, !1261 (@raaij)
- ~Luminosity | Make lumi algorithms compatible with PbPb sequences with a GEC, !1327 (@dcraik)
- Fix line name for GammaGamma line and adapt some starting conditions, !1272 (@tmombach)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Build | Extend hardcoded libclang paths to cover {x86_64,aarch64}-{centos7,el9}, !1285 (@clemenci)
- Minimal set of changes to be able to compile with Gaudi 36 and 37, !1324 (@clemenci)


### Documentation ~Documentation


### Other

- ~"MC checking" | Fix the SciFi Hit LHCbID, !1329 (@jzhuo)
- Prepare Allen v3r20, !1340 (@rmatev)
- Update HLT1 ion sequence, !1339 (@baudurie)
- Fix velo lumi counters: ignore out-of-range velo sensor IDs, !1338 (@dcraik)
- Prepare Allen v3r20, !1337 (@rmatev)
- Update References for: Detector!383, LHCb!4173, Rec!3552, Allen!1261 based on lhcb-master-mr/9297, !1336 (@lhcbsoft)
- Increase default maximums of scifi lumi counters according to PbPb run in 2022, !1325 (@sxian)
- PbPb physics routing bit, !1331 (@cagapopo)
- Add velo clusters to lumi counters list, !1309 (@sxian)
- Add a Development Container to Allen, !1273 (@caschbur)
