2024-01-26 Allen v4r0
===

This version uses
Rec [v36r0](../../../../Rec/-/tags/v36r0),
Lbcom [v35r0](../../../../Lbcom/-/tags/v35r0),
LHCb [v55r0](../../../../LHCb/-/tags/v55r0),
Detector [v1r25](../../../../Detector/-/tags/v1r25),
Gaudi [v37r2](../../../../Gaudi/-/tags/v37r2) and
LCG [104](http://lcginfo.cern.ch/release/104/) with ROOT 6.28.04.

This version is released on the `master` branch.
Built relative to Allen [v3r22](/../../tags/v3r22), with the following changes:

### New features ~"new feature"



### Fixes ~"bug fix" ~workaround



### Enhancements ~enhancement

- Remove PV requirement for DY lines, !1311 (@ldufour)


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Tracking | Drop FittedForward track type and use FitHistory instead, !1396 (@gunther)
- ~Build | Use ODIN standalone from DAQEvent instead of including it in Allen, !1391 (@raaij)
- ~Build | Fix standalone builds of public headers, !1358 (@clemenci)
- Remove spurious dependencies on DAQKernel, !1386 (@graven)
- Fix Allen test_pages, !1382 (@cagapopo)
- Fixes for gcc 13, clang 16 and C++20, !1362 (@clemenci)


### Documentation ~Documentation

- Fix Allen test_pages, !1382 (@cagapopo)

### Other

- ~Decoding ~Calo | Add 2D zero suppression in decoding, !1381 (@jmarchan)
- ~Tracking | Downstream/LongLivedParticle track reconstruction, !1095 (@bjashal) [#1]
- ~Calo ~"Event model" | Add NeutralBasicParticles for photon lines, !952 (@thboettc)
- Update documentation following Niklas's old MR, !1395 (@gligorov)
- Update References for: Allen!1015 based on lhcb-master-mr/10177, !1394 (@lhcbsoft)
- Add back Offset property for DumpBeamline, !1393 (@dovombru)
- Fix a mis-placed bracket in VeloLumiCounters, and add a velo testing sequence with lumi line, !1379 (@sxian)
- Fix beamline shift in pv_beamline_calculate_denom, !1376 (@tevans)
- Add routing bits and lumi summary to output raw event when running Allen-in-Moore, !1238 (@raaij)
- Memcheck ci-test, !963 (@ahennequ)
- Removed redundant copy ut track loops and removed unused variables in UT search window., !1388 (@dtou)
- Add SMOG2 Lambda -> ppi line, !1373 (@thboettc)
- Error bank monitoring and line running on the host, !1347 (@raaij)
- Adapted code to changes in Sink interface, !1156 (@sponce)
- Remove GEC from default HLT1 sequence, !1112 (@ahabdelm) [#395]
- Consolidate device converters for: Velo, Calo, FT and magnetic field, !1015 (@ngarroum)
- Better HltDecReports, !964 (@raaij) [#357,#358,#359]
- Generate the sequence only once., !1332 (@dcampora)
- Ut decoding sequence, !1300 (@cagapopo)
